Index: GUIListControl.cs
===================================================================
--- GUIListControl.cs	(revision 26463)
+++ GUIListControl.cs	(working copy)
@@ -264,12 +264,15 @@
     private int _frameLimiter = 1;
     // Search            
     private DateTime _timerKey = DateTime.Now;
+    private DateTime _timerKey2 = DateTime.Now;
     private char _currentKey = (char)0;
     private char _previousKey = (char)0;
     protected string _searchString = "";
     protected int _lastSearchItem = 0;
     protected bool _enableSMSsearch = true;
 
+    System.Windows.Forms.Timer mytimer = new System.Windows.Forms.Timer();
+
     public GUIListControl(int dwParentID)
       : base(dwParentID) { }
 
@@ -925,14 +928,10 @@
           label = item.Label2;
           break;
 
-        /*case "#itemcount":
-          label = GUIPropertyManager.GetProperty("#itemcount");
+        case "#selecteditem3":
+          label = item.Label3;
           break;
 
-        case "#selectedthumb":
-          label = item.ThumbnailImage;
-          break;*/
-
         case "#rating":
           label = item.Rating.ToString();
           break;
@@ -2192,7 +2191,34 @@
         _currentKey = (char)0;
       }
     }
+    private void CheckTimer2(string direction)
+    {
+      mytimer.Interval = 1000;
+      mytimer.Enabled = true;
+      mytimer.Tick += new System.EventHandler(OnTimerEvent99);
+      TimeSpan ts = DateTime.Now - _timerKey2;
+      //_timerKey2 = DateTime.Now;
+      string firstChar = GUIPropertyManager.GetProperty("#selecteditem");
+      firstChar = firstChar.Substring(0, 1).ToUpper();
+      GUIPropertyManager.SetProperty("#selecteditem.firstchar", firstChar);
+      //Log.Info("timer:" + ts.TotalMilliseconds);
+      if (ts.TotalMilliseconds < 100) //how close keypresses should be before it triggers the label showing
+      {
+        GUIPropertyManager.SetProperty("#scrolling." + direction, "yes");
+      }
+      else
+      {
+      }
+    }
 
+    public void OnTimerEvent99(object source, EventArgs e)
+    {
+      GUIPropertyManager.SetProperty("#scrolling.up", "no");
+      GUIPropertyManager.SetProperty("#scrolling.down", "no");
+    }
+
+
+
     /// <summary>
     /// Preallocates the control its DirectX resources.
     /// </summary>
@@ -2416,6 +2442,8 @@
           _cursorX--;
           _upDownControl.Value = ((_offset + _cursorX) / _itemsPerPage) + 1;
           OnSelectionChanged();
+          CheckTimer2("up");
+          _timerKey2 = DateTime.Now;
         }
         else if (_cursorX <= _scrollStartOffset && _offset > 0)
         {
@@ -2430,6 +2458,8 @@
           }
           _upDownControl.Value = iPage;
           OnSelectionChanged();
+          CheckTimer2("up");
+          _timerKey2 = DateTime.Now;
         }
         else
         {
@@ -2495,6 +2525,8 @@
             }
             _upDownControl.Value = ((_offset + _cursorX) / _itemsPerPage) + 1;
             OnSelectionChanged();
+            CheckTimer2("down");
+            _timerKey2 = DateTime.Now;
           }
           else
           {
@@ -2532,6 +2564,8 @@
             }
             _upDownControl.Value = iPage;
             OnSelectionChanged();
+            CheckTimer2("down");
+            _timerKey2 = DateTime.Now;
           }
           else
           {
